export default {
    init(vm){
        return {
			// 启动页
			pageList({document_code}) {
				return vm.$u.post('StartUp/pageList', {});
			},
			// 首页协议
			documentInfo({document_code}) {
				return vm.$u.post('StartUp/documentInfo', {
					document_code : document_code
				});
			},
			//获取验证码接口
			sendSmsCode({member_mobile, smslog_type}) {
				return vm.$u.post('sms/sendSmsCode', {
					member_mobile: member_mobile, 
					smslog_type: smslog_type
				});
			},
			// 用户验证码登录
			phoneLogin({member_mobile, sms_code}) {
				return vm.$u.post('auth/phoneLogin', {
					member_mobile: member_mobile, 
					sms_code: sms_code
				});
			},
			//手机号（用户）注册
			phoneRegister({member_mobile, sms_code}) {
				return vm.$u.post('auth/phoneRegister', {
					member_mobile: member_mobile, 
					sms_code: sms_code
				});
			},
			// 微信授权登录
			wechatLogin({member_wxopenid, member_nickname,member_avatar}) {
				return vm.$u.post('auth/wechatLogin', {
					member_wxopenid: member_wxopenid, 
					member_nickname: member_nickname,
					member_avatar : member_avatar
				});
			},
			// qq授权登录
			qqLogin({member_qqopenid, member_nickname,member_avatar}) {
				return vm.$u.post('auth/qqLogin', {
					member_qqopenid: member_qqopenid, 
					member_nickname: member_nickname,
					member_avatar : member_avatar
				});
			},
			// 绑定手机号
			mobileBind({member_mobile,sms_code}) {
				return vm.$u.post('auth/mobileBind', {
					member_mobile: member_mobile, 
					sms_code: sms_code
				});
			},
			// 使用帮助&售后政策列表
			getUseHelpList({page, tid}) {
				return vm.$u.post('Member/UseHelpList', {
					page: page, 
					tid: tid
				});
			},
			// 使用帮助&售后政策详情
			getUseHelpInfo({ launch_id }) {
				return vm.$u.post('Member/UseHelpInfo', {
					launch_id: launch_id
				});
			},
			// 标签的列表
			labelList({}) {
				return vm.$u.post('StartUp/labelList', {});
			},
			// 获取地区列表
			getAreaList({ pid }) {
				return vm.$u.post('Area/areaList', {
					pid: pid
				});
			},
			getArea() {
				return vm.$u.post('Area/getAreaTree')
			},
			// 用户收货地址列表
			getAddressList() {
				return vm.$u.post('MemberAddress/addressList');
			},
			// 添加收货地址
			addressAdd({ 
				area_id,
				city_id,
				is_default,
				area_info,
				address,
				true_name,
				mobile_phone,
				// longitude,
				// latitude,
		 	}) {
				return vm.$u.post('memberAddress/addressAdd', { 
					area_id: area_id,
					city_id: city_id,
					is_default: is_default,
					area_info: area_info,
					address: address,
					true_name: true_name,
					mobile_phone: mobile_phone,
					// longitude: longitude,
					// latitude: latitude,
				 });
			},
			// 修改收货地址
			addressEdit({
				address_id,
				area_id,
				city_id,
				is_default,
				area_info,
				address,
				true_name,
				mobile_phone,
				// longitude,
				// latitude,
		 	}) {
				return vm.$u.post('memberAddress/addressEdit', { 
					address_id: address_id,
					area_id: area_id,
					city_id: city_id,
					is_default: is_default,
					area_info: area_info,
					address: address,
					true_name: true_name,
					mobile_phone: mobile_phone,
					// longitude: longitude,
					// latitude: latitude,
				 });
			},
			// 删除地址
			deleteAddress({ address_id }) {
				return vm.$u.post('memberAddress/addressDel', {
					address_id: address_id
				});
			},
			// 设默认地址
			setDefaultAddress({ address_id }) {
				return vm.$u.post('memberAddress/addressSetDefault', {
					address_id: address_id
				});
			},
			// 美甲
			getManicureList({ page }) {
				return vm.$u.post('MemberManicure/getManicureList', {
					page: page
				});
			},
			// 美甲-提交订单
			addManicure({ name, time }) {
				return vm.$u.post('MemberManicure/addManicure', {
					name: name,
					time: time
				});
			},
			// 会员服务-积分列表
			getPointslogList() {
				return vm.$u.post('member/pointslogList');
			},
        }
    }
}